<?php


namespace App\Observers;


use Illuminate\Database\Eloquent\Model;

class CascasdeDeleteMediaObserver{


    /** Se produit quand le model est supprimé en douceur
     * @param Model $model
     */
    public function deleted(Model $model){
        $model->media()->delete();
    }


    /** Se produit quand le model est supprimé en douceur
     * @param Model $model
     */
    public function forceDeleted(Model $model){
        $model->media()->delete();
    }

}
